import { __decorate } from "tslib";
import Intact from 'intact-angular';
import { NgModule, NO_ERRORS_SCHEMA } from '@angular/core';
import { Datepicker } from './components/datepicker';
export var DatepickerComponent = Intact.decorate(Datepicker, 'k-datepicker');
var components = [DatepickerComponent];
var DatepickerModule = /** @class */ (function () {
    function DatepickerModule() {
    }
    DatepickerModule = __decorate([
        NgModule({
            declarations: components,
            exports: components,
            schemas: [NO_ERRORS_SCHEMA]
        })
    ], DatepickerModule);
    return DatepickerModule;
}());
export { DatepickerModule };